Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card	(revision 4616)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card	(revision 4630)
@@ -36,5 +36,5 @@
 #============================
 #-- Source following file with module settings, only if it exists
-EnvFile=`pwd`/../ARCH/arch.env
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 #-- ResolAtm indicates the atmospheric resolution
@@ -186,5 +186,5 @@
 SRF= ("" ,"" )
 SBG= ("" ,"" )
-OCE= (opa, opa.xx, 360MPI)
+OCE= (opa_${OptMode}, opa.xx, 360MPI)
 ICE= ("" ,"" )
 MBG= ("" ,"" )
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/config.card	(revision 4616)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/config.card	(revision 4630)
@@ -36,5 +36,5 @@
 #============================
 #-- Source following file with module settings, only if it exists
-EnvFile=`pwd`/../ARCH/arch.env
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 #-- ResolAtm indicates the atmospheric resolution
@@ -186,5 +186,5 @@
 SRF= ("" ,"" )
 SBG= ("" ,"" )
-OCE= (opa, opa.xx, 360MPI)
+OCE= (opa_${OptMode}, opa.xx, 360MPI)
 ICE= ("" ,"" )
 MBG= ("" ,"" )
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/config.card	(revision 4616)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/config.card	(revision 4630)
@@ -38,5 +38,5 @@
 #============================
 #-- Source following file with module settings, only if it exists
-EnvFile=`pwd`/../ARCH/arch.env
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 #-- ResolAtm indicates the atmospheric resolution
@@ -188,5 +188,5 @@
 SRF= ("" ,"" )
 SBG= ("" ,"" )
-OCE= (opa.esm, opa.xx, 360MPI)
+OCE= (opa.esm_${OptMode}, opa.xx, 360MPI)
 ICE= ("" ,"" )
 MBG= ("" ,"" )
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4616)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4630)
@@ -31,5 +31,5 @@
 #============================
 #-- Source following file with module settings, only if it exists
-EnvFile=`pwd`/../ARCH/arch.env
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 4616)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 4630)
@@ -31,5 +31,5 @@
 #============================
 #-- Source following file with module settings, only if it exists
-EnvFile=`pwd`/../ARCH/arch.env
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4616)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4630)
@@ -31,5 +31,5 @@
 #============================
 #-- Source following file with module settings, only if it exists
-EnvFile=`pwd`/../ARCH/arch.env
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 #-- ResolAtm indicates the atmospheric resolution
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4616)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4630)
@@ -31,5 +31,5 @@
 #============================
 #-- Source following file with module settings, only if it exists
-EnvFile=`pwd`/../ARCH/arch.env
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 #-- ResolAtm indicates the atmospheric resolution