Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 4630)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 4631)
@@ -14,4 +14,6 @@
 # Activate the call to phytrac to run tracer simulation 
 iflag_phytrac=1
+# desactivate aerosol_strato in lmdz
+flag_aerosol_strat=0
 
 # Use XIOS as output library
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card	(revision 4630)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card	(revision 4631)
@@ -14,4 +14,6 @@
 # Activate the call to phytrac to run tracer simulation 
 iflag_phytrac=1
+# desactivate aerosol_strato in lmdz
+flag_aerosol_strat=0
 
 # Use XIOS as output library
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 4630)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 4631)
@@ -14,4 +14,6 @@
 # Activate the call to phytrac to run tracer simulation 
 iflag_phytrac=1
+# desactivate aerosol_strato in lmdz
+flag_aerosol_strat=0
 
 # Use XIOS as output library
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card	(revision 4630)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card	(revision 4631)
@@ -14,4 +14,6 @@
 # Activate the call to phytrac to run tracer simulation 
 iflag_phytrac=1
+# desactivate aerosol_strato in lmdz
+flag_aerosol_strat=0
 
 # Use XIOS as output library
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 4630)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 4631)
@@ -15,4 +15,6 @@
 # Activate the call to phytrac to run tracer simulation 
 iflag_phytrac=1
+# desactivate aerosol_strato in lmdz
+flag_aerosol_strat=0
 
 # Use XIOS as output library
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card	(revision 4630)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card	(revision 4631)
@@ -15,4 +15,6 @@
 # Activate the call to phytrac to run tracer simulation 
 iflag_phytrac=1
+# desactivate aerosol_strato in lmdz
+flag_aerosol_strat=0
 
 # Use XIOS as output library
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/lmdz.driver	(revision 4630)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/lmdz.driver	(revision 4631)
@@ -418,5 +418,5 @@
 	IGCM_comp_modifyDefFile nonblocker run.def iflag_phytrac ${lmdz_UserChoices_iflag_phytrac}
     else
-	IGCM_comp_modifyDefFile nonblocker run.def iflag_phytrac 0
+	IGCM_comp_modifyDefFile nonblocker run.def iflag_phytrac DEFAULT
     fi 
 
@@ -433,4 +433,11 @@
     else
 	IGCM_comp_modifyDefFile nonblocker physiq.def ok_bug_cv_trac  n
+    fi 
+
+    # config.def : Activate aerosol strato 
+    if [ ! X${lmdz_UserChoices_flag_aerosol_strat} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker config.def flag_aerosol_strat ${lmdz_UserChoices_flag_aerosol_strat}
+    else
+	IGCM_comp_modifyDefFile nonblocker config.def flag_aerosol_strat DEFAULT
     fi 
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/config.def_actuel
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/config.def_actuel	(revision 4630)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/config.def_actuel	(revision 4631)
@@ -72,5 +72,5 @@
 # 
 # Aerosols stratospheriques utilises par defaut 
-flag_aerosol_strat=2
+flag_aerosol_strat= _AUTO_: DEFAULT = 2
 # Diag VolMIP to get volcanic aerosols effects instead of tropospheric ones
 ok_volcan=n
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/config.def_annuel
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/config.def_annuel	(revision 4630)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/config.def_annuel	(revision 4631)
@@ -73,5 +73,5 @@
 # 
 # Aerosols stratospheriques utilises par defaut 
-flag_aerosol_strat=2
+flag_aerosol_strat= _AUTO_: DEFAULT = 2
 # Diag VolMIP to get volcanic aerosols effects instead of tropospheric ones
 ok_volcan=n
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/config.def_preind
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/config.def_preind	(revision 4630)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/config.def_preind	(revision 4631)
@@ -73,5 +73,5 @@
 # Aerosols stratospheriques utilises par defaut 
 #
-flag_aerosol_strat=2
+flag_aerosol_strat= _AUTO_: DEFAULT = 2
 # Diag VolMIP to get volcanic aerosols effects instead of tropospheric ones
 ok_volcan=n