Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card	(revision 4673)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card	(revision 4682)
@@ -98,4 +98,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 4673)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 4682)
@@ -106,4 +106,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/lmdz.card	(revision 4673)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/lmdz.card	(revision 4682)
@@ -109,4 +109,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 4673)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 4682)
@@ -14,5 +14,5 @@
 TagName=LMDZOR
 # LongName, ModelName and Member are used to copy dr2xml files
-LongName="IPSLCM6.1.9-LR"
+LongName="IPSLCM6.1.10-LR"
 ModelName=IPSL-CM6A-LR
 Member=r1i1p1f1
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_nudge/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_nudge/COMP/lmdz.card	(revision 4673)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_nudge/COMP/lmdz.card	(revision 4682)
@@ -108,4 +108,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card	(revision 4673)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card	(revision 4682)
@@ -98,4 +98,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 4673)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 4682)
@@ -101,4 +101,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 4673)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 4682)
@@ -105,4 +105,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/lmdz.driver	(revision 4673)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/lmdz.driver	(revision 4682)
@@ -322,10 +322,12 @@
     IGCM_comp_modifyXmlFile nonblocker file_def_histhfCOSP_lmdz.xml histhfCOSP enabled ${LMDZ_COSP_hf}
 
-    # Activate the histstrataer output file only for configuration with interactive stratospheric aersols 
+    # Activate the histstrataer output files only for configuration with interactive stratospheric aerosols 
     # done by setting the key word LMDZ_strataero=y in lmdz.card
     if [ X${lmdz_UserChoices_LMDZ_strataero} = Xy ] ; then
 	IGCM_comp_modifyXmlFile nonblocker file_def_histstrataer_lmdz.xml histstrataer enabled .TRUE.
+    IGCM_comp_modifyXmlFile nonblocker file_def_histdaystrataer_lmdz.xml histdaystrataer enabled .TRUE.
     else
 	IGCM_comp_modifyXmlFile nonblocker file_def_histstrataer_lmdz.xml histstrataer enabled .FALSE.
+    IGCM_comp_modifyXmlFile nonblocker file_def_histdaystrataer_lmdz.xml histdaystrataer enabled .FALSE.
     fi
 
@@ -391,20 +393,25 @@
 
     if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
-	echo "Activate coupling to INCA, set type_trac=inca in run.def"
-	IGCM_comp_modifyDefFile blocker run.def type_trac inca
+    echo "Activate coupling to INCA, set type_trac=inca in run.def"
+    IGCM_comp_modifyDefFile blocker run.def type_trac inca
     elif [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
-	echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
-	IGCM_comp_modifyDefFile blocker run.def type_trac repr
+    echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
+    IGCM_comp_modifyDefFile blocker run.def type_trac repr
         IGCM_comp_modifyDefFile blocker run.def config_inca none
-    else
-	echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
-	IGCM_comp_modifyDefFile blocker run.def type_trac lmdz
+    elif [ X${lmdz_UserChoices_LMDZ_strataero} = Xy ] ; then
+        echo "No coupling to chemistry model but it is a LMDZ STRATAER configuration, set type_trac=coag in run.def"
+        IGCM_comp_modifyDefFile blocker run.def type_trac coag
         IGCM_comp_modifyDefFile blocker run.def config_inca none
-    fi
-
+    else
+    echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
+    IGCM_comp_modifyDefFile blocker run.def type_trac lmdz
+        IGCM_comp_modifyDefFile blocker run.def config_inca none
+    fi
 
     # run.def : Activate the call to phytrac 
     if [ ! X${lmdz_UserChoices_iflag_phytrac} = X ]; then 
 	IGCM_comp_modifyDefFile nonblocker run.def iflag_phytrac ${lmdz_UserChoices_iflag_phytrac}
+    elif [ X${lmdz_UserChoices_LMDZ_strataero} = Xy ] ; then
+    IGCM_comp_modifyDefFile nonblocker run.def iflag_phytrac 1
     else
 	IGCM_comp_modifyDefFile nonblocker run.def iflag_phytrac 0
@@ -483,4 +490,21 @@
 	IGCM_comp_modifyDefFile nonblocker config.def pmagic DEFAULT
     fi 
+
+    # config.def : Modify parameter ok_volcan if it is set in lmdz.card
+    if [ ! X${lmdz_UserChoices_ok_volcan} = X ]; then
+    IGCM_comp_modifyDefFile nonblocker config.def ok_volcan ${lmdz_UserChoices_ok_volcan}
+    else
+    # Take default value set in config.def
+    IGCM_comp_modifyDefFile nonblocker config.def ok_volcan DEFAULT
+    fi
+
+    # config.def : set ok_volcan to y if we are in the strataero config
+    if [ X${lmdz_UserChoices_LMDZ_strataero} = Xy ] ; then
+    IGCM_comp_modifyDefFile nonblocker config.def ok_volcan y
+    else
+    IGCM_comp_modifyDefFile nonblocker config.def ok_volcan DEFAULT
+    fi
+
+    # Note: ok_volcan is a flag allowing a double-call with/without natural forcing (instead of with/without anthro forcing).
 
     # physiq.def : Modify parameter tau_gl if it is set in lmdz.card
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/config.def_actuel
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/config.def_actuel	(revision 4673)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/config.def_actuel	(revision 4682)
@@ -73,6 +73,6 @@
 # Aerosols stratospheriques utilises par defaut 
 flag_aerosol_strat=2
-# Diag VolMIP to get volcanic aerosols effects instead of tropospheric ones
-ok_volcan=n
+# Flag to yield double call with/without natural forcing (instead of with/without anthropic)
+ok_volcan=_AUTO_: DEFAULT = n
 #
 # COSP
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/config.def_annuel
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/config.def_annuel	(revision 4673)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/config.def_annuel	(revision 4682)
@@ -74,6 +74,6 @@
 # Aerosols stratospheriques utilises par defaut 
 flag_aerosol_strat=2
-# Diag VolMIP to get volcanic aerosols effects instead of tropospheric ones
-ok_volcan=n
+# Flag to yield double call with/without natural forcing (instead of with/without anthropic)
+ok_volcan=_AUTO_: DEFAULT = n
 #
 # COSP
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/config.def_preind
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/config.def_preind	(revision 4673)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/config.def_preind	(revision 4682)
@@ -74,6 +74,7 @@
 #
 flag_aerosol_strat=2
-# Diag VolMIP to get volcanic aerosols effects instead of tropospheric ones
-ok_volcan=n
+# Flag to yield double call with/without natural forcing (instead of with/without anthropic)
+ok_volcan=_AUTO_: DEFAULT = n
+#
 #
 # COSP