Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/COMP/opa9.card	(revision 4682)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/COMP/opa9.card	(revision 4683)
@@ -18,8 +18,8 @@
 #==================================================================================================
 forcing=jra
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/JRA55-do-v1.1
-ListForcing=(u_10.30Jun2016 v_10.30Jun2016 t_10.30Jun2016 q_10.30Jun2016 rsds.30Jun2016 rlds.30Jun2016 rain.15Dec2016 snow.15Dec2016)
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/MRI-JRA55-do-1-4-0
+ListForcing=(u_10 v_10 t_10 q_10 rsds rlds rain snow)
 YearForcingInit=1958
-YearForcingEnd=2015
+YearForcingEnd=2018
 #==============================================================
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/config.card	(revision 4682)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/config.card	(revision 4683)
@@ -26,5 +26,5 @@
 #-- "YYYY-MM-DD"
 DateBegin=1958-01-01
-DateEnd=2015-12-31
+DateEnd=2018-12-31
 #============================
 #-- 1Y, 1M, 5D, 1D
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/COMP/opa9.card	(revision 4682)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/COMP/opa9.card	(revision 4683)
@@ -18,6 +18,6 @@
 #==================================================================================================
 forcing=jra
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/JRA55-do-v1.1
-ListForcing=(u_10.30Jun2016 v_10.30Jun2016 t_10.30Jun2016 q_10.30Jun2016 rsds.30Jun2016 rlds.30Jun2016 rain.15Dec2016 snow.15Dec2016)
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/MRI-JRA55-do-1-4-0
+ListForcing=(u_10 v_10 t_10 q_10 rsds rlds rain snow)
 YearForcingInit=1958
 YearForcingEnd=2016
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/COMP/opa9.card	(revision 4682)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/COMP/opa9.card	(revision 4683)
@@ -16,9 +16,8 @@
 #==================================================================================================
 forcing=jra
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/JRA55-do-v1.1
-ListForcing=(u_10.30Jun2016 v_10.30Jun2016 t_10.30Jun2016 q_10.30Jun2016 rsds.30Jun2016 rlds.30Jun2016 rain.15Dec2016 snow.15Dec2016)
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/MRI-JRA55-do-1-4-0
+ListForcing=(u_10 v_10 t_10 q_10 rsds rlds rain snow)
 YearForcingInit=1958
-YearForcingEnd=2015
-
+YearForcingEnd=2016
 
 [InitialStateFiles]
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/config.card	(revision 4682)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/config.card	(revision 4683)
@@ -24,5 +24,5 @@
 #-- "YYYY-MM-DD"
 DateBegin=1958-01-01
-DateEnd=2015-12-31
+DateEnd=2018-12-31
 #============================
 #-- 1Y, 1M, 5D, 1D
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA025/namelist_jra_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA025/namelist_jra_ia_cfg	(revision 4682)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA025/namelist_jra_ia_cfg	(revision 4683)
@@ -231,14 +231,17 @@
 &namsbc_core   !   namsbc_core  CORE bulk formulae
 !-----------------------------------------------------------------------
-!              !   file name          ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights              ! rotation !
-!              !                      !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename             ! pairing  !
-   sn_wndi     = 'u_10.30Jun2016'     ,         3         , 'uas_10m' ,   .true.     ,  .false. , 'yearly'  , 'weights_bicubic.nc'  , 'U1'
-   sn_wndj     = 'v_10.30Jun2016'     ,         3         , 'vas_10m' ,   .true.     ,  .false. , 'yearly'  , 'weights_bicubic.nc'  , 'V1'
-   sn_qsr      = 'rsds.30Jun2016'     ,         3         , 'rsds'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_qlw      = 'rlds.30Jun2016'     ,         3         , 'rlds'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_tair     = 't_10.30Jun2016'     ,         3         , 'tas_10m' ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_humi     = 'q_10.30Jun2016'     ,         3         , 'huss_10m',   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'rain.15Dec2016'     ,         3         , 'prrn'    ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_snow     = 'snow.15Dec2016'     ,         3         , 'prsn'    ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+!-----------------------------------------------------------------------
+&namsbc_core   !   namsbc_core  CORE bulk formulae
+!-----------------------------------------------------------------------
+!              !  file name !  frequency (hours) ! variable   ! time interpol. !  clim    ! 'yearly'/ ! weights              ! rotation !
+!              !            !  (if <0  months)   !   name     !    (logical)   !  (T/F)   ! 'monthly' ! filename             ! pairing  !
+   sn_wndi     = 'u_10'     ,         3          , 'uas'      ,     .true.     ,  .false. , 'yearly'  , 'weights_bicubic.nc'  , 'U1'
+   sn_wndj     = 'v_10'     ,         3          , 'vas'      ,     .true.     ,  .false. , 'yearly'  , 'weights_bicubic.nc'  , 'V1'
+   sn_qsr      = 'rsds'     ,         3          , 'rsds'     ,     .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_qlw      = 'rlds'     ,         3          , 'rlds'     ,     .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_tair     = 't_10'     ,         3          , 'tas'      ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_humi     = 'q_10'     ,         3          , 'huss'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'rain'     ,         3          , 'prrn'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_snow     = 'snow'     ,         3          , 'prsn'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
 /
 !-----------------------------------------------------------------------
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg	(revision 4682)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg	(revision 4683)
@@ -104,14 +104,17 @@
 &namsbc_core   !   namsbc_core  CORE bulk formulae
 !-----------------------------------------------------------------------
-!              !   file name          ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights              ! rotation !
-!              !                      !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename             ! pairing  !
-   sn_wndi     = 'u_10.30Jun2016'     ,         3         , 'uas_10m' ,   .true.     ,  .false. , 'yearly'  , 'weights_bicubic.nc'  , 'U1'
-   sn_wndj     = 'v_10.30Jun2016'     ,         3         , 'vas_10m' ,   .true.     ,  .false. , 'yearly'  , 'weights_bicubic.nc'  , 'V1'
-   sn_qsr      = 'rsds.30Jun2016'     ,         3         , 'rsds'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_qlw      = 'rlds.30Jun2016'     ,         3         , 'rlds'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_tair     = 't_10.30Jun2016'     ,         3         , 'tas_10m' ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_humi     = 'q_10.30Jun2016'     ,         3         , 'huss_10m',   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'rain.15Dec2016'     ,         3         , 'prrn'    ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_snow     = 'snow.15Dec2016'     ,         3         , 'prsn'    ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+!-----------------------------------------------------------------------
+&namsbc_core   !   namsbc_core  CORE bulk formulae
+!-----------------------------------------------------------------------
+!              !  file name !  frequency (hours) ! variable   ! time interpol. !  clim    ! 'yearly'/ ! weights              ! rotation !
+!              !            !  (if <0  months)   !   name     !    (logical)   !  (T/F)   ! 'monthly' ! filename             ! pairing  !
+   sn_wndi     = 'u_10'     ,         3          , 'uas'      ,     .true.     ,  .false. , 'yearly'  , 'weights_bicubic.nc'  , 'U1'
+   sn_wndj     = 'v_10'     ,         3          , 'vas'      ,     .true.     ,  .false. , 'yearly'  , 'weights_bicubic.nc'  , 'V1'
+   sn_qsr      = 'rsds'     ,         3          , 'rsds'     ,     .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_qlw      = 'rlds'     ,         3          , 'rlds'     ,     .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_tair     = 't_10'     ,         3          , 'tas'      ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_humi     = 'q_10'     ,         3          , 'huss'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'rain'     ,         3          , 'prrn'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_snow     = 'snow'     ,         3          , 'prsn'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
 /
 !-----------------------------------------------------------------------
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg	(revision 4682)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg	(revision 4683)
@@ -87,14 +87,14 @@
 &namsbc_core   !   namsbc_core  CORE bulk formulae
 !-----------------------------------------------------------------------
-!              !   file name          ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights              ! rotation !
-!              !                      !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename             ! pairing  !
-   sn_wndi     = 'u_10.30Jun2016'     ,         3         , 'uas_10m' ,   .true.     ,  .false. , 'yearly'  , 'weights_bicubic.nc'  , 'U1'
-   sn_wndj     = 'v_10.30Jun2016'     ,         3         , 'vas_10m' ,   .true.     ,  .false. , 'yearly'  , 'weights_bicubic.nc'  , 'V1'
-   sn_qsr      = 'rsds.30Jun2016'     ,         3         , 'rsds'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_qlw      = 'rlds.30Jun2016'     ,         3         , 'rlds'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_tair     = 't_10.30Jun2016'     ,         3         , 'tas_10m' ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_humi     = 'q_10.30Jun2016'     ,         3         , 'huss_10m',   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'rain.15Dec2016'     ,         3         , 'prrn'    ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_snow     = 'snow.15Dec2016'     ,         3         , 'prsn'    ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+!              !  file name !  frequency (hours) ! variable   ! time interpol. !  clim    ! 'yearly'/ ! weights              ! rotation !
+!              !            !  (if <0  months)   !   name     !    (logical)   !  (T/F)   ! 'monthly' ! filename             ! pairing  !
+   sn_wndi     = 'u_10'     ,         3          , 'uas'      ,     .true.     ,  .false. , 'yearly'  , 'weights_bicubic.nc'  , 'U1'
+   sn_wndj     = 'v_10'     ,         3          , 'vas'      ,     .true.     ,  .false. , 'yearly'  , 'weights_bicubic.nc'  , 'V1'
+   sn_qsr      = 'rsds'     ,         3          , 'rsds'     ,     .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_qlw      = 'rlds'     ,         3          , 'rlds'     ,     .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_tair     = 't_10'     ,         3          , 'tas'      ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_humi     = 'q_10'     ,         3          , 'huss'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'rain'     ,         3          , 'prrn'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_snow     = 'snow'     ,         3          , 'prsn'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
 /
 !-----------------------------------------------------------------------