Index: CONFIG/UNIFORM/v6/IPSLCM5A2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4691)
@@ -30,5 +30,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/IPSLCM5A2/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card	(revision 4691)
@@ -24,5 +24,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4691)
@@ -30,5 +30,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card	(revision 4691)
@@ -24,5 +24,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4691)
@@ -36,5 +36,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4691)
@@ -28,5 +28,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4691)
@@ -36,5 +36,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4691)
@@ -28,5 +28,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZ5A2.1_ISO/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZ5A2.1_ISO/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZ5A2.1_ISO/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4691)
@@ -30,5 +30,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZ5A2.1_ISO/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZ5A2.1_ISO/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZ5A2.1_ISO/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card	(revision 4691)
@@ -24,5 +24,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4691)
@@ -36,5 +36,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card	(revision 4691)
@@ -36,5 +36,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4691)
@@ -36,5 +36,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4691)
@@ -28,5 +28,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card	(revision 4691)
@@ -36,5 +36,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4691)
@@ -36,5 +36,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card	(revision 4691)
@@ -36,5 +36,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZORSTRATAER_v6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORSTRATAER_v6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZORSTRATAER_v6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4691)
@@ -30,5 +30,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZORSTRATAER_v6/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORSTRATAER_v6/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZORSTRATAER_v6/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4691)
@@ -24,5 +24,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4691)
@@ -36,5 +36,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4691)
@@ -28,5 +28,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4691)
@@ -36,5 +36,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4691)
@@ -28,5 +28,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 4691)
@@ -36,5 +36,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4690)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 4691)
@@ -28,5 +28,5 @@
 ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
 	(${R_IN}/ATM/Relief.nc, .), \
 	(${R_IN}/ATM/Rugos.nc, .), \
Index: CONFIG/UNIFORM/v6/diff_configurations.ksh
===================================================================
--- CONFIG/UNIFORM/v6/diff_configurations.ksh	(revision 4690)
+++ CONFIG/UNIFORM/v6/diff_configurations.ksh	(revision 4691)
@@ -16,6 +16,6 @@
 ConfigFamily=v6
 ConfigList=`ls |grep ${ConfigFamily} |grep -v out`
-#ConfigList=$ConfigList" IPSLCM6 IPSLCM6CHT"
-ConfigList="LMDZOR_v6 LMDZORINCA_v6"
+ConfigList=$ConfigList" IPSLCM6 IPSLCM6CHT"
+ConfigList="LMDZOR_v6 IPSLCM6"
 verbose=no
 echo All configurations to tests : $ConfigList
@@ -38,5 +38,5 @@
 	FileList=""
 	for file in $FileList0 ; do
-	    FileList=$( echo $FileList `ls ${conf}/GENERAL/*/$file`)
+	    FileList=$( echo $FileList `ls ${conf}/GENERAL/*/$file ${conf}/EXPERIMENTS/*/*/$file ${conf}/EXPERIMENTS/*/*/*/$file `)
 	done
     fi