Index: NFIG/UNIFORM/v6/IPSLCM6.2/SOURCES/NEMO/arch-X64_CURIE.fcm
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/SOURCES/NEMO/arch-X64_CURIE.fcm	(revision 4700)
+++ 	(revision )
@@ -1,57 +1,0 @@
-# Curie BULL at TGCC, http://www-hpc.cea.fr/en/complexe/tgcc-curie.htm
-#
-# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
-# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
-# XIOS_HOME   root directory containing lib for XIOS
-# OASIS_HOME  root directory containing lib for OASIS
-#
-# NCDF_INC    netcdf4 include file
-# NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
-# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
-# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
-#
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    complete list of include files
-# USER_LIB    complete list of libraries to pass to the linker
-#
-# Note that:
-#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
-#  - fcm variables are starting with a % (and not a $)
-#
-%XIOS_HOME           ${PWD}/../../XIOS
-%OASIS_HOME          ${PWD}/../../../oasis3-mct/BLD
-
-%NCDF_INC            -I${NETCDF_INC_DIR} 
-%NCDF_LIB            -L${NETCDF_LIB_DIR} -lnetcdff -lnetcdf 
-%XIOS_INC            -I%XIOS_HOME/inc 
-%XIOS_LIB            -L%XIOS_HOME/lib -lxios
-%OASIS_INC           -I%OASIS_HOME/build/lib/psmile.MPI1 
-%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
-
-%CPP                 cpp
-%FC                  mpif90 -c -cpp
-# for Curie Fat Node
-#%FCFLAGS             -i4 -r8 -O3 -fp-model precise -xSSE4.2 
-# for Curie Thin Node
-#%FCFLAGS             -i4 -r8 -O3 -fp-model precise -xAVX
-# for Curie all Node
-%FCFLAGS             -i4 -r8 -O3 -fp-model precise
-%FFLAGS              %FCFLAGS
-%LD                  mpif90
-%LDFLAGS             -lstdc++
-%FPPFLAGS            -P -C -traditional
-%AR                  ar
-%ARFLAGS             rs
-%MK                  gmake
-%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
-%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/SOURCES/NEMO/arch-X64_JEANZAY.fcm
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/SOURCES/NEMO/arch-X64_JEANZAY.fcm	(revision 4701)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/SOURCES/NEMO/arch-X64_JEANZAY.fcm	(revision 4701)
@@ -0,0 +1,52 @@
+# Jean-Zay HPE at IDRIS, http://www.idris.fr/jean-zay
+#
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# XIOS_HOME   root directory containing lib for XIOS
+# OASIS_HOME  root directory containing lib for OASIS
+#
+# NCDF_INC    netcdf4 include file
+# NCDF_LIB    netcdf4 library
+# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
+# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
+#
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    complete list of include files
+# USER_LIB    complete list of libraries to pass to the linker
+#
+# Note that:
+#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
+#  - fcm variables are starting with a % (and not a $)
+#
+%XIOS_HOME           ${PWD}/../../XIOS
+%OASIS_HOME          ${PWD}/../../../oasis3-mct/BLD
+
+%NCDF_INC            
+%NCDF_LIB            -lnetcdff -lnetcdf -lhdf5_hl -lhdf5 -lz -lcurl
+%XIOS_INC            -I%XIOS_HOME/inc 
+%XIOS_LIB            -L%XIOS_HOME/lib -lxios
+%OASIS_INC           -I%OASIS_HOME/build/lib/mct -I%OASIS_HOME/build/lib/psmile.MPI1
+%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
+
+%CPP                 cpp
+%FC                  mpiifort -c -cpp
+%FCFLAGS             -i4 -r8 -O3 -fp-model precise -xCORE-AVX512 -fno-alias
+%FFLAGS              %FCFLAGS
+%LD                  mpiifort
+%LDFLAGS             -lstdc++
+%FPPFLAGS            -P -C -traditional
+%AR                  ar
+%ARFLAGS             rs
+%MK                  gmake
+%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
+%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB