Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/opa9.card	(revision 4706)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/opa9.card	(revision 4707)
@@ -7,5 +7,6 @@
 Reproducibility_after_restart= y
 Restart_TS_only= n
-OutputLevel=1
+Dynamics_on_ClosedSeas= y
+OutputLevel=2
 
 [InitialStateFiles]
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/orchidee.card	(revision 4706)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/orchidee.card	(revision 4707)
@@ -53,5 +53,5 @@
     (${SUBMIT_DIR}/PARAM/ping_orchidee.xml, . )                       ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
@@ -61,5 +61,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc)
+List=   (out_orchidee*, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, context_input_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
@@ -71,5 +71,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/config.card	(revision 4706)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/config.card	(revision 4707)
@@ -36,5 +36,5 @@
 #-- ResolAtm indicates the atmospheric resolution
 #   This variable is used in the executable name 
-ResolAtm=96x95x39
+ResolAtm=144x142x79
 ResolOce=ORCA1
 #============================
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/traceur.def_h2o_NP
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/traceur.def_h2o_NP	(revision 4707)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/traceur.def_h2o_NP	(revision 4707)
@@ -0,0 +1,4 @@
+3
+14 14 H2Ov
+10 10 H2Ol
+10 10 H2Oi
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/compile_ipslcm6.sh
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/compile_ipslcm6.sh	(revision 4706)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/compile_ipslcm6.sh	(revision 4707)
@@ -24,4 +24,6 @@
 # Version ESM CO2: CO2 interactif ocean/atmosphere (y/n)
 esmco2=n
+# Version ESM AER : Aer interactif chemistry / atmosphere (y/n) 
+esmaer=n
 # Also compile ce0l subprogram to LMDZ (y/n)
 ce0l=n
@@ -37,4 +39,5 @@
 full_flag=""
 full_nemo=n
+full_inca=""
 full_xios=""
 full_lmdz=""
@@ -64,4 +67,5 @@
 Options: [LR / VLR / MR1 / MR025] Model resolution, choose only one. Default: LR.
          [ESMCO2] Compile IPSLCM6 for CO2 interactif ocean/atmosphere.
+         [ESMAER] Compile IPSLCM6 for AER interactif on atmosphere
          [-full] Full recompilation of all components. This option can be added to all other options.
          [-cleannemo] Full recompilation of NEMO component  only.
@@ -96,4 +100,5 @@
 	"MR025")       resol_atm=256x256x79; resol_oce=ORCA025 ; icemodel=lim3; oceanbio=n;   shift ;;
 	"ESMCO2")      esmco2=y;  shift ;; 
+	"ESMAER")      esmaer=y; shift ;; 
 	"CE0L")        ce0l=y ; shift ;;
 	"-parallel")   parallel=$2 ; shift ; shift ;; 
@@ -107,4 +112,5 @@
 	"-full_orch")  full_orch="-full"  ; shift ;;
 	"-full_nemo")  full_nemo=y ; shift ;;
+	"-full_inca")  full_inca="-clean"; shift ;;
 	"-cleannemo")  full_nemo=y ; shift ;;
 	*)	       echo "unknown option "$1" , exiting..." ; exit
@@ -301,4 +307,29 @@
 
 ## 2.6 Compile LMDZ for regular latlon configuration
+# If necessary compile INCA modele with AER configuration 
+if [ ${esmaer} == y ] ;  then 
+    cd $modipsl/modeles/INCA
+    #compile INCA regulat lat_lon chimie librairy 
+    echo; echo "NOW COMPILE INCA AER on resolution = ${resol_atm}"
+    echo ./makeinca_fcm -chimie AER -$optmode -xios -parallel mpi_omp -resol ${resol_atm} -j 8 -arch ${fcm_arch}  -arch_path $arch_path $full_flag $full_inca >> $outfile 
+    ./makeinca_fcm -chimie AER -$optmode -xios -parallel mpi_omp -resol ${resol_atm} -j 8 -arch ${fcm_arch} -arch_path $arch_path  $full_flag $full_inca >> $outfile 2>&1
+
+    # Test if compiling finished
+    if [[ $? != 0 ]] ; then
+	echo "THERE IS A PROBLEM IN INCA COMPILATION - STOP"
+	exit
+    fi
+
+    echo "Move inca.dat modipsl/bin"
+    if [[ -f $modipsl/modeles/INCA/SIMULATIONS/AER/inca.dat ]] ;  then  
+	mv $modipsl/modeles/INCA/SIMULATIONS/AER/inca.dat $modipsl/bin/inca_${resol_atm}_${optmode}_AER.dat ;
+    else
+	echo "THERE IS A PROBLEM IN INCA COMPILATION - STOP"
+	exit	
+    fi
+	
+fi 
+
+
 cd $modipsl/modeles/LMDZ
 # Compile LMDZ regular lat-lon exectuable
@@ -319,6 +350,12 @@
 fi
 
-echo ./makelmdz_fcm -d ${resol_atm} -c OMCT -rrtm true -$optmode -mem -parallel $parallel -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile 
-     ./makelmdz_fcm -d ${resol_atm} -c OMCT -rrtm true -$optmode -mem -parallel $parallel -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile 2>&1
+if [ ${esmaer} == n ] ;  then 
+    echo ./makelmdz_fcm -d ${resol_atm} -c OMCT -rrtm true -$optmode -mem -parallel $parallel -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile 
+    ./makelmdz_fcm -d ${resol_atm} -c OMCT -rrtm true -$optmode -mem -parallel $parallel -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile 2>&1
+else
+    #in esm aer case add chemistry option to lmdz compilation 
+    echo ./makelmdz_fcm -d ${resol_atm} -c OMCT -rrtm true -$optmode -mem -parallel $parallel -chimie INCA -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile 
+    ./makelmdz_fcm -d ${resol_atm} -c OMCT -rrtm true -$optmode -mem -parallel $parallel -chimie INCA -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile 2>&1
+fi 
 # Test if compiling finished
 if [[ $? != 0 ]] ; then
@@ -333,9 +370,17 @@
 ls -lrt $modipsl/modeles/LMDZ/bin  >> $outfile
 echo >> $outfile
-suffix=_${resol_atm}_phylmd_para_mem_orch_couple.e
+if [ ${esmaer} == n ] ;  then 
+    suffix=_${resol_atm}_phylmd_para_mem_orch_couple.e
+else
+    suffix=_${resol_atm}_phylmd_para_mem_orch_couple_inca.e
+fi
 echo gcm suffix = $suffix
 
 if [ -f $modipsl/modeles/LMDZ/bin/gcm${suffix} ] ;  then 
-    mv $modipsl/modeles/LMDZ/bin/gcm${suffix} $modipsl/bin/gcm_${resol_atm}_${optmode}.e
+    if [ ${esmaer} == n ] ;  then 
+	mv $modipsl/modeles/LMDZ/bin/gcm${suffix} $modipsl/bin/gcm_${resol_atm}_${optmode}.e
+    else
+	mv $modipsl/modeles/LMDZ/bin/gcm${suffix} $modipsl/bin/gcm_${resol_atm}_${optmode}_AER.e
+    fi
 else
     echo "ERROR gcm${suffix} executable does not exist." 