Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4707)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4722)
@@ -32,4 +32,12 @@
 #-- Source following file with module settings, only if it exists
 EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+#============================
+#-- ResolAtm indicates the atmospheric resolution
+#   This variable is used in the executable name 
+ResolAtm=144x142x79
+#============================
+# OptMode indicates the optimization mode choosen during compilation
+# This variable is used in the executable name
+OptMode=prod
 
 #========================================================================
@@ -43,5 +51,5 @@
 [Executable]
 #D- For each component: Real name of executable, Name of executable in the run directory 
-ATM= (create_etat0_limit.e, create_etat0_limit.e, 1MPI)
+ATM= (ce0l_${ResolAtm}_${OptMode}.e, ce0l.e, 1MPI)
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 4707)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 4722)
@@ -32,4 +32,12 @@
 #-- Source following file with module settings, only if it exists
 EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+#============================
+#-- ResolAtm indicates the atmospheric resolution
+#   This variable is used in the executable name 
+ResolAtm=144x142x79
+#============================
+# OptMode indicates the optimization mode choosen during compilation
+# This variable is used in the executable name
+OptMode=prod
 
 #========================================================================
@@ -43,5 +51,5 @@
 [Executable]
 #D- For each component: Real name of executable, Name of executable in the run directory 
-ATM= (create_etat0_limit.e, create_etat0_limit.e, 1MPI)
+ATM= (ce0l_${ResolAtm}_${OptMode}.e, ce0l.e, 1MPI)
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4707)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4722)
@@ -36,5 +36,4 @@
 #   This variable is used in the executable name 
 ResolAtm=144x142x79
-ResolOce=ORCA1
 #============================
 # OptMode indicates the optimization mode choosen during compilation
@@ -54,6 +53,7 @@
 #D-- Executable -
 [Executable]
-#D- For each component: Real name of executable, Name of executable in the run directory 
-#D- Here is set 47MPI*8OMP which is suitable for resolution 144x142x79
+#D- For each component: First argument is the executable name as in bin folder.
+#D  ResolAtm and OptMode are set in UserChoices section.
+#D- Here is set 71MPI*8OMP which is suitable for resolution 144x142x79
 #D- Change to 31MPI*4OMP for resolution 96x95x39
 ATM= (gcm_${ResolAtm}_${OptMode}.e, lmdz.x, 71MPI, 8OMP)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4707)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4722)
@@ -36,5 +36,4 @@
 #   This variable is used in the executable name 
 ResolAtm=144x142x79
-ResolOce=ORCA1
 #============================
 # OptMode indicates the optimization mode choosen during compilation
@@ -54,6 +53,7 @@
 #D-- Executable -
 [Executable]
-#D- For each component: Real name of executable, Name of executable in the run directory 
-#D- Here is set 47MPI*8OMP which is suitable for resolution 144x142x79
+#D- For each component: First argument is the executable name as in bin folder.
+#D  ResolAtm and OptMode are set in UserChoices section.
+#D- Here is set 71MPI*8OMP which is suitable for resolution 144x142x79
 #D- Change to 31MPI*4OMP for resolution 96x95x39
 ATM= (gcm_${ResolAtm}_${OptMode}.e, lmdz.x, 71MPI, 8OMP)