Index: /modipsl/trunk/util/mod.def
===================================================================
--- /modipsl/trunk/util/mod.def	(revision 4780)
+++ /modipsl/trunk/util/mod.def	(revision 4781)
@@ -948,12 +948,13 @@
 #-H- LMDZOR_v6.1.10  LMDZ and ORCHIDEE model configuration
 #-H- LMDZOR_v6.1.10  Configuration corresponding to the coupled modele IPSLCM6.1.10-LR
+#-H- LMDZOR_v6.1.10  The configuration has been updated to be useable at Jean-Zay/Idris.
 #-M- LMDZOR_v6.1.10  Josefine.Ghattas@ipsl.fr
 #-C- LMDZOR_v6.1.10  IOIPSL/tags/v2_2_4/src             HEAD    8    IOIPSL/src   modeles
-#-C- LMDZOR_v6.1.10  tags/ORCHIDEE_2_0/ORCHIDEE         5661    14   ORCHIDEE     modeles
-#-C- LMDZOR_v6.1.10  LMDZ6/branches/IPSLCM6.0.15        3554    11   LMDZ         modeles
-#-C- LMDZOR_v6.1.10  XIOS/branchs/xios-2.5              1550    12   XIOS         modeles
+#-C- LMDZOR_v6.1.10  tags/ORCHIDEE_2_0/ORCHIDEE         6268    14   ORCHIDEE     modeles
+#-C- LMDZOR_v6.1.10  LMDZ6/branches/IPSLCM6.0.15        3564    11   LMDZ         modeles
+#-C- LMDZOR_v6.1.10  XIOS/branchs/xios-2.5              1763    12   XIOS         modeles
 #-C- LMDZOR_v6.1.10  CONFIG/UNIFORM/v6/LMDZOR_v6        4691    8    LMDZOR_v6    config
 #-C- LMDZOR_v6.1.10  tags/ORCHIDEE_2_0/ORCHIDEE_OL      5626    14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6.1.10  trunk/libIGCM                      1487    10   libIGCM      .
+#-C- LMDZOR_v6.1.10  trunk/libIGCM                      1493    10   libIGCM      .
 
 
@@ -1026,8 +1027,8 @@
 #-C- LMDZOR_v6.3_work  trunk/ORCHIDEE                     HEAD    14   ORCHIDEE     modeles
 #-C- LMDZOR_v6.3_work  LMDZ6/branches/IPSLCM6.0.15        3564    11   LMDZ         modeles
-#-C- LMDZOR_v6.3_work  XIOS/branchs/xios-2.5              1550    12   XIOS         modeles
+#-C- LMDZOR_v6.3_work  XIOS/branchs/xios-2.5              1763    12   XIOS         modeles
 #-C- LMDZOR_v6.3_work  CONFIG/UNIFORM/v6/LMDZOR_v6.3      HEAD    8    LMDZOR_v6    config
 #-C- LMDZOR_v6.3_work  trunk/ORCHIDEE_OL                  HEAD    14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6.3_work  trunk/libIGCM                      1487    10   libIGCM      .
+#-C- LMDZOR_v6.3_work  trunk/libIGCM                      1493    10   libIGCM      .
 
 
@@ -1219,8 +1220,8 @@
 #-M- ORCHIDEE_trunk  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_trunk  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_trunk  trunk/libIGCM                            1487    10 libIGCM            .
+#-C- ORCHIDEE_trunk  trunk/libIGCM                            1493    10 libIGCM            .
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE                           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE_OL                        HEAD    14 ORCHIDEE_OL        config
-#-C- ORCHIDEE_trunk  XIOS/branchs/xios-2.5                    1550    12 XIOS               modeles
+#-C- ORCHIDEE_trunk  XIOS/branchs/xios-2.5                    1763    12 XIOS               modeles
 
 #-H- ORCHIDEE_2_2  ORCHIDEE offline configuration using the branch ORCHIDEE_2_2
@@ -1229,8 +1230,8 @@
 #-M- ORCHIDEE_2_2  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_2_2  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_2_2  trunk/libIGCM                            1487    10 libIGCM            .
+#-C- ORCHIDEE_2_2  trunk/libIGCM                            1493    10 libIGCM            .
 #-C- ORCHIDEE_2_2  branches/ORCHIDEE_2_2/ORCHIDEE           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_2  branches/ORCHIDEE_2_2/ORCHIDEE_OL        HEAD    14 ORCHIDEE_OL        config
-#-C- ORCHIDEE_2_2  XIOS/branchs/xios-2.5                    1550    12 XIOS               modeles
+#-C- ORCHIDEE_2_2  XIOS/branchs/xios-2.5                    1763    12 XIOS               modeles
 
 #-H- ORCHIDEE_2_1  ORCHIDEE offline configuration using the tag ORCHIDEE_2_1
@@ -1239,8 +1240,8 @@
 #-M- ORCHIDEE_2_1  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_2_1  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_2_1  trunk/libIGCM                            1487    10 libIGCM            .
+#-C- ORCHIDEE_2_1  trunk/libIGCM                            1493    10 libIGCM            .
 #-C- ORCHIDEE_2_1  tags/ORCHIDEE_2_1/ORCHIDEE               HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_1  tags/ORCHIDEE_2_1/ORCHIDEE_OL            HEAD    14 ORCHIDEE_OL        config
-#-C- ORCHIDEE_2_1  XIOS/branchs/xios-2.5                    1550    12 XIOS               modeles
+#-C- ORCHIDEE_2_1  XIOS/branchs/xios-2.5                    1763    12 XIOS               modeles
 
 #-H- ORCHIDEE_2_0  ORCHIDEE offline configuration using the tag ORCHIDEE_2_0
@@ -1249,8 +1250,8 @@
 #-M- ORCHIDEE_2_0  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_2_0  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_2_0  trunk/libIGCM                            1487    10 libIGCM            .
+#-C- ORCHIDEE_2_0  trunk/libIGCM                            1493    10 libIGCM            .
 #-C- ORCHIDEE_2_0  tags/ORCHIDEE_2_0/ORCHIDEE               HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_0  tags/ORCHIDEE_2_0/ORCHIDEE_OL            HEAD    14 ORCHIDEE_OL        config
-#-C- ORCHIDEE_2_0  XIOS/branchs/xios-2.5                    1550    12 XIOS               modeles
+#-C- ORCHIDEE_2_0  XIOS/branchs/xios-2.5                    1763    12 XIOS               modeles
 
 