Index: /modipsl/trunk/util/mod.def
===================================================================
--- /modipsl/trunk/util/mod.def	(revision 4782)
+++ /modipsl/trunk/util/mod.def	(revision 4783)
@@ -106,20 +106,20 @@
 #-H- IPSLCM5A2.1  2nd frozen IPSLCM5A2 version
 #-H- IPSLCM5A2.1  NEMOGCM branch nemo_v3_6_STABLE revision 6665
-#-H- IPSLCM5A2.1  XIOS2 trunk revision 1551
+#-H- IPSLCM5A2.1  XIOS2 branchs/xios-2.5 revision 1763
 #-H- IPSLCM5A2.1  IOIPSL/src svn tags/v2_2_2
-#-H- IPSLCM5A2.1  LMDZ5 branches/IPSLCM5A2.1 rev 3342
-#-H- IPSLCM5A2.1  ORCHIDEE  branches/ORCHIDEE-IPSLCM5A2.1 rev 5307
+#-H- IPSLCM5A2.1  LMDZ5 branches/IPSLCM5A2.1 rev 3591
+#-H- IPSLCM5A2.1  ORCHIDEE  branches/ORCHIDEE-IPSLCM5A2.1 rev 6277
 #-H- IPSLCM5A2.1  OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
 #-H- IPSLCM5A2.1  IPSLCM5A2 svn
-#-H- IPSLCM5A2.1  libIGCM trunk rev 1477
+#-H- IPSLCM5A2.1  libIGCM trunk rev 1493
 #-M- IPSLCM5A2.1  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A2.1  IOIPSL/tags/v2_2_2/src                        HEAD         8  IOIPSL/src     modeles
-#-C- IPSLCM5A2.1  branches/ORCHIDEE-IPSLCM5A2.1/ORCHIDEE        5307        14  ORCHIDEE       modeles
+#-C- IPSLCM5A2.1  branches/ORCHIDEE-IPSLCM5A2.1/ORCHIDEE        6277        14  ORCHIDEE       modeles
 #-C- IPSLCM5A2.1  CPL/oasis3-mct/branches/OASIS3-MCT_2.0_branch 4775         8  oasis3-mct     .
-#-C- IPSLCM5A2.1  LMDZ5/branches/IPSLCM5A2.1                    3342        11  LMDZ           modeles
-#-C- IPSLCM5A2.1  CONFIG/UNIFORM/v6/IPSLCM5A2                   4041         8  IPSLCM5A2        config
-#-C- IPSLCM5A2.1  trunk/libIGCM                                 1477        10  libIGCM        .
+#-C- IPSLCM5A2.1  LMDZ5/branches/IPSLCM5A2.1                    3591        11  LMDZ           modeles
+#-C- IPSLCM5A2.1  CONFIG/UNIFORM/v6/IPSLCM5A2                   4770         8  IPSLCM5A2        config
+#-C- IPSLCM5A2.1  trunk/libIGCM                                 1493        10  libIGCM        .
 #-C- IPSLCM5A2.1  branches/2015/nemo_v3_6_STABLE/NEMOGCM        6665         7  .              modeles
-#-C- IPSLCM5A2.1  XIOS/trunk                                    1551        12  XIOS           modeles
+#-C- IPSLCM5A2.1  XIOS/branchs/xios-2.5                         1763        12  XIOS           modeles
 
 #-H- IPSLCM6_rc0  IPSLCM6_rc0 coupled configuration
@@ -788,22 +788,22 @@
 #-H- IPSLCM6.1.10-LR NEMOGCM branch nemo_v3_6_STABLE revision 9455
 #-H- IPSLCM6.1.10-LR SHACONEMO revision 278
-#-H- IPSLCM6.1.10-LR XIOS2 trunk revision 1550 branch xios-2.5
+#-H- IPSLCM6.1.10-LR XIOS2 trunk revision 1763 branch xios-2.5
 #-H- IPSLCM6.1.10-LR IOIPSL src tags 2_2_4
-#-H- IPSLCM6.1.10-LR LMDZ6 LMDZ6/branches/IPSLCM6.0.15 rev 3554
-#-H- IPSLCM6.1.10-LR ORCHIDEE version tags/ORCHIDEE_2_0/ORCHIDEE revision 5661
+#-H- IPSLCM6.1.10-LR LMDZ6 LMDZ6/branches/IPSLCM6.0.15 rev 3564
+#-H- IPSLCM6.1.10-LR ORCHIDEE version tags/ORCHIDEE_2_0/ORCHIDEE revision 6268
 #-H- IPSLCM6.1.10-LR OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
-#-H- IPSLCM6.1.10-LR IPSLCM6 svn 4673
-#-H- IPSLCM6.1.10-LR libIGCM trunk rev 1478
+#-H- IPSLCM6.1.10-LR IPSLCM6 svn 4768
+#-H- IPSLCM6.1.10-LR libIGCM trunk rev 1493
 #-M- IPSLCM6.1.10-LR arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM6.1.10-LR IOIPSL/tags/v2_2_4/src                           HEAD         8 IOIPSL/src     modeles
-#-C- IPSLCM6.1.10-LR tags/ORCHIDEE_2_0/ORCHIDEE                       5661        14 ORCHIDEE       modeles
+#-C- IPSLCM6.1.10-LR tags/ORCHIDEE_2_0/ORCHIDEE                       6268        14 ORCHIDEE       modeles
 #-C- IPSLCM6.1.10-LR CPL/oasis3-mct/branches/OASIS3-MCT_2.0_branch    4775         8  oasis3-mct     .
-#-C- IPSLCM6.1.10-LR LMDZ6/branches/IPSLCM6.0.15                      3554        11 LMDZ           modeles
+#-C- IPSLCM6.1.10-LR LMDZ6/branches/IPSLCM6.0.15                      3564        11 LMDZ           modeles
 #-C- IPSLCM6.1.10-LR trunk/INCA6                                      825          9 INCA           modeles
-#-C- IPSLCM6.1.10-LR CONFIG/UNIFORM/v6/IPSLCM6                        4673         8 IPSLCM6        config
-#-C- IPSLCM6.1.10-LR trunk/libIGCM                                    1478        10 libIGCM        .
+#-C- IPSLCM6.1.10-LR CONFIG/UNIFORM/v6/IPSLCM6                        4768         8 IPSLCM6        config
+#-C- IPSLCM6.1.10-LR trunk/libIGCM                                    1493        10 libIGCM        .
 #-C- IPSLCM6.1.10-LR branches/2015/nemo_v3_6_STABLE/NEMOGCM           9455         7 .              modeles
 #-C- IPSLCM6.1.10-LR trunk/ORCA1_LIM3_PISCES                           278        17 .              modeles/NEMOGCM/CONFIG
-#-C- IPSLCM6.1.10-LR XIOS/branchs/xios-2.5                            1550        12 XIOS           modeles
+#-C- IPSLCM6.1.10-LR XIOS/branchs/xios-2.5                            1763        12 XIOS           modeles
 
 